> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ariacompute.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# 删除咏唱引擎云智能体定义

> 按标识符删除咏唱引擎云智能体定义。已有会话保留其历史关联，但无法再开启新轮次。

删除一个智能体定义。已有会话保留其与已删除智能体的历史关联以供审计，但无法再对其进行新的会话或轮次。

## 接口

```http theme={null}
DELETE /v1/agents/{agent_id}
```

## 认证

`Authorization: Bearer <api_key>` 或 `Authorization: ApiKey <api_key>`。

## 路径参数

<ParamField path="agent_id" type="string" required>
  智能体标识符。
</ParamField>

## 响应

<ResponseField name="id" type="string">
  已删除的智能体标识符。
</ResponseField>

<ResponseField name="object" type="string">
  恒为 `agent.deleted`。
</ResponseField>

<ResponseField name="deleted" type="boolean">
  成功时恒为 `true`。
</ResponseField>

## 示例

```bash theme={null}
curl -X DELETE https://agent.example.com/v1/agents/ag_0198a... \
  -H "Authorization: Bearer $ARIA_AGENT_KEY"
```

```json theme={null}
{
  "id": "ag_0198a...",
  "object": "agent.deleted",
  "deleted": true
}
```
